Bug 4844 - Delay of brightness change by function keys on Dell notebook
: Delay of brightness change by function keys on Dell notebook
Status: CONFIRMED
Product: Desktop Bugs
Classification: ROSA Desktop
Component: Main Packages
: Fresh
: All Linux
: Normal normal
: ---
Assigned To: Eugene Shatokhin
: ROSA Linux Bugs
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2015-01-11 20:58 MSK by Andrey Ponomarenko
Modified: 2015-03-22 00:46 MSK (History)
2 users (show)

See Also:
RPM Package:
ISO-related:
Bad POT generating:
Upstream:


Attachments
Fn+Down X events (1.94 KB, text/plain)
2015-01-11 21:00 MSK, Andrey Ponomarenko
Details
Fn+Up X events (1.94 KB, text/plain)
2015-01-11 21:00 MSK, Andrey Ponomarenko
Details
brightness doesn't change at all on kernel 3.17.7 (283.84 KB, image/png)
2015-01-12 00:58 MSK, Andrey Ponomarenko
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Andrey Ponomarenko 2015-01-11 20:58:22 MSK
Description of problem:

If I press Fn+Up (increase brightness) or Fn+Down (decrease brightness) functional keys then the brightness will be changed with a 80 seconds delay. If I press one of these key combinations multiple times then system hangs for several minutes.

Appropriate X events for Fn+Up and Fn+Down in xev output are displayed with the same delay.

PC probe (Dell Latitude E6530): http://hw.rosalinux.ru/index.php?probe=f432cce700

Version-Release number of selected component (if applicable):

R5 KDE x86_64
Linux kernel: 3.14.25

How reproducible: always
Comment 1 Andrey Ponomarenko 2015-01-11 21:00:06 MSK
Created attachment 3592 [details]
Fn+Down X events
Comment 2 Andrey Ponomarenko 2015-01-11 21:00:43 MSK
Created attachment 3593 [details]
Fn+Up X events
Comment 3 Andrey Ponomarenko 2015-01-12 00:56:12 MSK
The problem persists with kernel-nrj-desktop-3.17.7-1rosa: the brightness cannot be changed at all by functional keys.

PC probe: http://hw.rosalinux.ru/index.php?probe=9ee4eb2eab
Comment 4 Andrey Ponomarenko 2015-01-12 00:58:37 MSK
Created attachment 3598 [details]
brightness doesn't change at all on kernel 3.17.7
Comment 5 Andrey Ponomarenko 2015-01-22 19:23:55 MSK
With these additional kernel boot options I can change display brightness in the tray applet:

video.use_native_backlight=1
acpi_backlight=vendor
acpi_osi=linux
video.brightness_switch_enabled=1

Also brightness media keys begin to work well after sleep of the PC.

HW probe after sleep: http://hw.rosalinux.ru/index.php?probe=c70ff3ca5a
Comment 6 Eugene Budanov 2015-01-23 18:37:52 MSK
Similar situataion at Dell Precision M4800. But switching brightness delay not so big. If I switch brigthness down, delay is bigger (about 10-15 sec sometimes). If up — 2-3 seconds.

hwprobe after pressing Fn+Brightness key: http://hw.rosalinux.ru/index.php?probe=802d03d867
Comment 7 Eugene Shatokhin 2015-01-26 11:55:13 MSK
For Dell Precision M4800, 'acpi_backlight=vendor' boot option solved the problem.

The things are different on Dell Latitude E6530. 

Might be ACPI-related. There are many changes in that area in the mainline kernel that 3.14 branch does not have yet. I'll try to adapt some of these for 3.14, then we'll see.

Meanwhile, please check if the problem still shows up on Dell Latitude with kernel 3.18.x (http://abf-downloads.rosalinux.ru/kernels_3_18x_personal/repository/rosa2014.1/x86_64/main/release/) and 'acpi_backlight=vendor' boot option alone.

No 'video.use_native_backlight', no 'acpi_osi', no 'video.brightness_switch_enabled'.
Comment 8 Eugene Shatokhin 2015-01-26 11:58:02 MSK
A note about kernel 3.18. Use it with free graphics drivers at the moment. The proprietary ones are still poorly supported there.
Comment 9 Andrey Ponomarenko 2015-01-27 17:13:02 MSK
Seems that the new kernel 3.18 with acpi_backlight=vendor additional option fixed the problem in general.

Now I can use both functional keys and tray widget to change brightness up and down.

HW probe (Dell E6530 + R5 + Kernel 3.18): http://hw.rosalinux.ru/index.php?probe=2f2a947ba8

But the problem returns after the system tries to decrease/increase brightness automatically (on idle or on first mouse input, for example).

HW probe after automatic brightness change: http://hw.rosalinux.ru/index.php?probe=13592ff944

Thank you!
Comment 10 Eugene Shatokhin 2015-01-27 17:34:48 MSK
(In reply to comment #9)
> Seems that the new kernel 3.18 with acpi_backlight=vendor additional option
> fixed the problem in general.

Might, indeed, be ACPI-related then. 

So, as a first step, I'll check, which patches to that subsystem we do not yet have in kernel 3.14 and will try to add them.
Comment 11 Andrey Ponomarenko 2015-01-28 18:19:28 MSK
Fn+Up and Fn+Down brightness keys and tray applet also don't work on Acer Aspire V3-571G. But system doesn't hang.

HW probe: http://hw.rosalinux.ru/index.php?probe=70b1601c4c

The acpi_backlight=vendor option fixed applet only.
Comment 12 Eugene Shatokhin 2015-03-11 11:50:37 MSK
Please remove dkms-vboxadditions and virtualbox-guest-additions, reboot the system (boot to kernel 3.14.33) and see if the problems is still there.
Comment 13 Andrey Ponomarenko 2015-03-13 01:24:07 MSK
Unfortunately, this doesn't solve the issue.

The delay is the same and the system hangs when trying to change brightness by Fn+Up and Fn+Down keys. Also I can't change brightness in the tray widget.

HW probe: http://hw.rosalinux.ru/index.php?probe=f888b99936